<?php
 namespace VnChocola\Module\Customer\CustomerVisit;
 use TCMS\Controller;
 use Model;
 use VnChocola\Model\VisitCustomersModel;
 class IndexController extends Controller {
 public function index() {
 view()->socket_url = env("socket_url","http://localhost:4200");
 return view();
 }
 public function create() {
 return view();
 }
 public function postCreate(VisitCustomersModel $model) {
 if($model->isValid()) {
 if($model->save()) return route_redirect('create', 'Thêm thành công');
 view()->addErrorMessage('error', 'Thêm thất bại');
 }
 return view($model);
 }
 public function update($id) {
 $model = Model::load('VisitCustomersModel');
 $data = $model->find($id);
 if(!$data) return route_redirect('index', 'Id không tồn tại', 'error');
 return view($data);
 }
 public function postUpdate(VisitCustomersModel $model) {
 if($model->isValid()) {
 if($model->save()) return route_redirect('index', 'Cập nhật thành công');
 view()->addErrorMessage('error', 'Cập nhật thất bại');
 }
 return view($model);
 }
 public function postDelete($id) {
 $model = Model::load('VisitCustomersModel');
 $isSuccess = $model->delete($id);
 if(\Request::isAjax()) return json(['success' => $isSuccess, 'message' => $isSuccess ? 'Xóa thành công' : 'Xóa thất bại']);
 return route_redirect('index', $isSuccess ? 'Xóa thành công' : 'Xóa thất bại');
 }
 private function findCustomer($id){
 $modelCustomers = Model::load('CustomersModel');
 $data = $modelCustomers->find($id);
 return $this->$data;
 }
 public function postSearchNumber(){
 $plate = \Request::get('plate', "");
 $image = \Request::get('image', "");
 $branchID = \Request::get('branchID', "");
 $branchName = \Request::get('branchName', "");
 $camera = \Request::get('camera',"");
 $modelVisitCustomer = Model::load('VisitCustomersModel');
 $modelVisitCustomer->plate = $plate;
 $modelVisitCustomer->customerName = 'Không tên';
 $modelVisitCustomer->image = $image;
 $modelVisitCustomer->camera = $camera;
 $modelVisitCustomer->branchID = $branchID;
 $modelVisitCustomer->branchName = $branchName;
 $modelCars = Model::load('CarsModel');
 $modelCustomers = Model::load('CustomersModel');
 if(strlen($plate)>0){
 $modelCars->where('plate',$plate);
 $cars = $modelCars->toList();
 if(count($cars)>0){
 $car = $cars[0];
 $customer = $this->findCustomer($car->customerID);
 $modelVisitCustomer->customerName = $customer->customerName;
 $modelVisitCustomer->branchID = $customer->branchID;
 }
 }
 }
 }
